#
# This is a valid xml for a quizz
#
quizztest1_xml = '''<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE quizz SYSTEM "quizz.dtd">

<!-- A very simple stupid quizz -->

<quizz>
 <question>
  <label>Do you deserve a better salary?</label>
  <answer value="0">Yes of course!</answer>
  <answer value="2">Eh what's this?</answer>
 </question>
 <question>
  <label>Is your job funny?</label>
  <answer value="0">Oh yes!</answer>
  <answer value="2">No opinion</answer>
  <answer value="1">Disgussing 8((</answer>
 </question>
 <question>
  <label>What's the formula of the volume of a sphere?</label>
  <answer value="3">Of course no!</answer>
  <answer value="2">Repeat the question, please!</answer>
  <answer value="0">Hmmm, what's a sphere?</answer>
 </question>
</quizz>
'''
#
# Error : This is not a <quizz> root object
#
quizztest2_xml = '''<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE quizz SYSTEM "quizz.dtd">

<!-- A very simple stupid quizz -->

<dummy>
 <question>
  <label>Do you deserve a better salary?</label>
  <answer value="0">Yes of course!</answer>
  <answer value="2">Eh what's this?</answer>
 </question>
 <question>
  <label>Is your job funny?</label>
  <answer value="0">Oh yes!</answer>
  <answer value="2">No opinion</answer>
  <answer value="1">Disgussing 8((</answer>
 </question>
 <question>
  <label>What's the formula of the volume of a sphere?</label>
  <answer value="3">Of course no!</answer>
  <answer value="2">Repeat the question, please!</answer>
  <answer value="0">Hmmm, what's a sphere?</answer>
 </question>
</dummy>
'''
#
# Error, there should be one question
#
quizztest3_xml = '''<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE quizz SYSTEM "quizz.dtd">

<!-- A very simple stupid quizz -->

<quizz>
 <nofun/>
</quizz>
'''
#
# Error, first question has no label
#
quizztest4_xml = '''<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE quizz SYSTEM "quizz.dtd">

<!-- A very simple stupid quizz -->

<quizz>
 <question>
  <answer value="0">Yes of course!</answer>
  <answer value="2">Eh what's this?</answer>
 </question>
 <question>
  <label>Is your job funny?</label>
  <answer value="0">Oh yes!</answer>
  <answer value="2">No opinion</answer>
  <answer value="1">Disgussing 8((</answer>
 </question>
 <question>
  <label>What's the formula of the volume of a sphere?</label>
  <answer value="3">Of course no!</answer>
  <answer value="2">Repeat the question, please!</answer>
  <answer value="0">Hmmm, what's a sphere?</answer>
 </question>
</quizz>
'''
#
# Error, first question has not enough answers
#
quizztest5_xml = '''<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE quizz SYSTEM "quizz.dtd">

<!-- A very simple stupid quizz -->

<quizz>
 <question>
  <label>Do you deserve a better salary?</label>
  <answer value="0">Yes of course!</answer>
 </question>
 <question>
  <label>Is your job funny?</label>
  <answer value="0">Oh yes!</answer>
  <answer value="2">No opinion</answer>
  <answer value="1">Disgussing 8((</answer>
 </question>
 <question>
  <label>What's the formula of the volume of a sphere?</label>
  <answer value="3">Of course no!</answer>
  <answer value="2">Repeat the question, please!</answer>
  <answer value="0">Hmmm, what's a sphere?</answer>
 </question>
</quizz>
'''
#
# Error, answer 2 of question 3 has no (valid) value
#
quizztest6_xml = '''<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE quizz SYSTEM "quizz.dtd">

<!-- A very simple stupid quizz -->

<quizz>
 <question>
  <label>Do you deserve a better salary?</label>
  <answer value="0">Yes of course!</answer>
  <answer value="2">Eh what's this?</answer>
 </question>
 <question>
  <label>Is your job funny?</label>
  <answer value="0">Oh yes!</answer>
  <answer value="2">No opinion</answer>
  <answer value="1">Disgussing 8((</answer>
 </question>
 <question>
  <label>What's the formula of the volume of a sphere?</label>
  <answer value="3">Of course no!</answer>
  <answer value="foo">Repeat the question, please!</answer>
  <answer value="0">Hmmm, what's a sphere?</answer>
 </question>
</quizz>
'''
